/*
	Button.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSControl.h"
#import "NSButtonCell.h"

@class NSEvent;

@interface NSButton : NSControl
{
}

+ setCellClass:factoryId;

- initWithFrame:(NSRect)frameRect;
- initFrame:(NSRect)frameRect title:(NSString *)aString tag:(int)anInt target:anObject action:(SEL)aSelector key:(unsigned short)charCode enabled:(BOOL)flag;
- initFrame:(NSRect)frameRect image:(NSImage *)aString tag:(int)anInt target:anObject action:(SEL)aSelector key:(unsigned short)charCode enabled:(BOOL)flag;

- (NSString *)title;
- setTitle:(NSString *)aString;
- (NSString *)altTitle;
- setAltTitle:(NSString *)aString;
- (NSImage *)image;
- setImage:(NSImage *)iconName;
- (NSImage *)altImage;
- setAltImage:(NSImage *)iconName;
- image;
- setImage:image;
- altImage;
- setAltImage:image;
- (int)imagePosition;
- setImagePosition:(int)aPosition;
- setType:(NSButtonType)aType;
- (int)state;
- setState:(int)value;
- (BOOL)isBordered;
- setBordered:(BOOL)flag;
- (BOOL)isTransparent;
- setTransparent:(BOOL)flag;
- setPeriodicDelay:(float)delay andInterval:(float)interval;
- getPeriodicDelay:(float *)delay andInterval:(float *)interval;
- (NSString *)keyEquivalent;
- setKeyEquivalent:(NSString *)characters;
- sound;
- setSound:soundObj;
- display;
- highlight:(BOOL)flag;
- (BOOL)performKeyEquivalent:(NSEvent *)theEvent;
- performClick:sender;
- (BOOL)acceptsFirstMouse:(NSEvent *)theEvent;

@end
