/*
	Control.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSView.h"
#import "NSText.h"

@class NSEvent;

@interface NSControl : NSView
{
    int                 tag;
    id                  cell;
    struct _conFlags {
#ifdef __BIG_ENDIAN__
	unsigned int        enabled:1;
	unsigned int        editingValid:1;
	unsigned int        ignoreMultiClick:1;
	unsigned int        calcSize:1;
	unsigned int        _drawingAncestor:1;
	unsigned int        _RESERVED:11;
#else
	unsigned int        _RESERVED:11;
	unsigned int        _drawingAncestor:1;
	unsigned int        calcSize:1;
	unsigned int        ignoreMultiClick:1;
	unsigned int        editingValid:1;
	unsigned int        enabled:1;
#endif
    }                   conFlags;
    unsigned short      _reservedCshort1;
}

+ setCellClass:factoryId;

- initWithFrame:(NSRect)frameRect;

- sizeToFit;
- setFrameSize:(NSSize)_newSize;
- calcSize;
- cell;
- setCell:aCell;
- selectedCell;
- target;
- setTarget:anObject;
- (SEL)action;
- setAction:(SEL)aSelector;
- (int)tag;
- setTag:(int)anInt;
- (int)selectedTag;
- ignoreMultiClick:(BOOL)flag;
- mouseDown:(NSEvent *)theEvent;
- (int)mouseDownFlags;
- (int)sendActionOn:(int)mask;
- (BOOL)isContinuous;
- setContinuous:(BOOL)flag;
- (BOOL)isEnabled;
- setEnabled:(BOOL)flag;
- setFloatingPointFormat:(BOOL)autoRange left:(unsigned)leftDigits right:(unsigned)rightDigits;
- (NSTextAlignment)alignment;
- setAlignment:(NSTextAlignment)mode;
- font;
- setFont:fontObj;
- setStringValue:(NSString *)aString;
- setIntValue:(int)anInt;
- setFloatValue:(float)aFloat;
- setDoubleValue:(double)aDouble;
- (NSString *)stringValue;
- (int)intValue;
- (float)floatValue;
- (double)doubleValue;
- update;
- updateCell:aCell;
- updateCellInside:aCell;
- drawCellInside:aCell;
- drawCell:aCell;
- selectCell:aCell;
- drawRect:(NSRect)rect;
- sendAction:(SEL)theAction to:theTarget;
- takeIntValueFrom:sender;
- takeFloatValueFrom:sender;
- takeDoubleValueFrom:sender;
- takeStringValueFrom:sender;
- currentEditor;
- abortEditing;
- validateEditing;
- resetCursorRects;

@end
