/*
	PageLayout.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSApplication.h"
#import "NSPanel.h"

typedef enum _NXMeasurementUnit {
    NSInchUnit = 0,
    NSCentimeterUnit = 1,
    NSPointUnit = 2,
    NSPicaUnit = 3
} NSMeasurementUnit;

/* Tags of Controls in the Page Layout panel */

enum {
    NSPLImageButton			= 50,
    NSPLTitleField			= 51,
    NSPLPaperNameButton			= 52,
    NSPLUnitsButton			= 54,
    NSPLWidthForm			= 55,
    NSPLHeightForm			= 56,
    NSPLOrientationMatrix		= 57,
    NSPLCancelButton			= NSCancelButton,
    NSPLOKButton			= NSOKButton
};

@class NSPrintInfo;

@interface NSPageLayout : NSPanel
{
    id                  appIcon;
    id                  height;
    id                  width;
    id                  ok;
    id                  cancel;
    id                  orientation;
    id                  scale;
    id                  paperSizeList;
    id                  layoutList;
    id                  unitsList;
    int                 exitTag;
    id                  paperView;
    id                  _paperViewShadow;
    id                  accessoryView;
    char                _currUnits;
    BOOL                _otherPaper;
    unsigned short      _reservedPageLayout1;
    unsigned int        _reservedPageLayout2;
    unsigned int        _reservedPageLayout3;
    unsigned int        _reservedPageLayout4;
    unsigned int        _reservedPageLayout5;
}

+ pageLayout;

- setAccessoryView:aView;
- accessoryView;
- pickedButton:sender;
- pickedPaperSize:sender;
- pickedOrientation:sender;
- pickedUnits:sender;
- (BOOL)textShouldBeginEditing:textObject;
- textDidEndEditing:(NSNotification *)notification;
- readPrintInfo;
- writePrintInfo;
- (NSPrintInfo *)printInfo;
- (int)runModal;
- (int)runModalWithPrintInfo:(NSPrintInfo *)pInfo;
- convertOldFactor:(float *)old newFactor:(float *)new;

@end

@interface NSApplication(NSPageLayoutPanel)
- (void)runPageLayout:(id)sender;
@end
