/*
	PrintPanel.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSPanel.h"

enum {
    NSPPSaveButton			= 3,
    NSPPPreviewButton			= 4,
    NSFaxButton				= 5,
    NSPPTitleField			= 40,
    NSPPImageButton			= 41,
    NSPPNameTitle			= 42,
    NSPPNameField			= 43,
    NSPPNoteTitle			= 44,
    NSPPNoteField			= 45,
    NSPPStatusTitle			= 46,
    NSPPStatusField			= 47,
    NSPPCopiesField			= 49,
    NSPPPageChoiceMatrix		= 50,
    NSPPPageRangeFrom			= 51,
    NSPPPageRangeTo			= 52,
    NSPPScaleField			= 53,
    NSPPOptionsButton			= 54,
    NSPPPaperFeedButton			= 55,
    NSPPLayoutButton			= 56,
};

@interface NSPrintPanel : NSPanel
{
    id                  appIcon;
    id                  pageMode;
    id                  firstPage;
    id                  lastPage;
    id                  copies;
    id                  ok;
    id                  cancel;
    id                  preview;
    id                  save;
    id                  printers;
    id                  feed;
    id                  resolutionList;
    id                  name;
    id                  note;
    id                  status;
    int                 exitTag;
    id                  accessoryView;
    id			_ppdTextView;
    id			buttons;
    id			_ppdGroupView;
    id			optionsButton;
    void		*_priv;
}

+ (NSPrintPanel *)printPanel;

- setAccessoryView:aView;
- accessoryView;
- pickedButton:sender;
- (BOOL)textShouldBeginEditing:textObject;
- pickedAllPages:sender;
- changePrinter:sender;
- updateFromPrintInfo;
- finalWritePrintInfo;
- (int)runModal;
- display;

@end
