/*
	SavePanel.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSPanel.h"

/* Tags of views in the SavePanel */

enum {
    NSFileHandlingPanelImageButton	= 150,
    NSFileHandlingPanelTitleField	= 151,
    NSFileHandlingPanelBrowser		= 152,
    NSFileHandlingPanelCancelButton	= NSCancelButton,
    NSFileHandlingPanelOKButton		= NSOKButton,
    NSFileHandlingPanelForm		= 155
};

@interface NSSavePanel : NSPanel
{
    id                  form;
    id                  browser;
    id                  okButton;
    id                  accessoryView;
    id                  separator;
    char               *filename;
    char               *directory;
    const char        **filenames;
    char               *requiredType;
    void	       *_columns;
    NXHashTable        *_typeTable;
    struct _spFlags {
	unsigned int        opening:1;
	unsigned int        exitOk:1;
	unsigned int        allowMultiple:1;
	unsigned int        dirty:1;
	unsigned int        invalidateMatrices:1;
	unsigned int        filtered:1;
	unsigned int        _chooseFolders:1;
	unsigned int        _ignoreFilePackages:1;
	unsigned int        _largeFS:1;
	unsigned int	    _delegateValidatesNew:1;
	unsigned int	    _delegateValidatesOld:1;
	unsigned int        _checkCase:1;
	unsigned int        _cancd:1;
	unsigned int        _UnixExpert:1;
	unsigned int        _backwards:1;
	unsigned int        _forwards:1;
    }                   spFlags;
    unsigned short      directorySize;
    int                 _cdcolumn;
    IMP                 _filterMethod;
    id                  _homeButton;
    id                  _scroller;
    IMP			_fncmp;
    id			_removableDeviceButton;
}


+ (NSSavePanel *)savePanel;

- ok:sender;
- cancel:sender;
- (int)runModalForDirectory:(NSString *)path file:(NSString *)name;
- (int)runModal;
- (NSString *)filename;
- (NSString *)directory;
- setDirectory:(NSString *)path;
- setPrompt:(NSString *)prompt;
- setTitle:(NSString *)title;
- (NSString *)requiredFileType;
- setRequiredFileType:(NSString *)type;
- setTreatsFilePackagesAsDirectories:(BOOL)flag;
- (BOOL)doesTreatFilePackagesAsDirectories;
- accessoryView;
- setAccessoryView:aView;
- selectText:sender;
- setDelegate:anObject;

@end

@interface NSObject(SavePanelDelegate)
- (BOOL)panelValidateFilenames:sender;
- (BOOL)panel:sender filterFile:(NSString *)filename inDirectory:(NSString *)directory;
- (int)panel:sender compareFilenames:(NSString *)file1 :(NSString *)file2 checkCase:(BOOL)caseSensitive;
@end
