/*
	TextField.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSControl.h"

@interface NSTextField : NSControl
{
    id                  nextText;
    id                  previousText;
    id                  textDelegate;
    SEL                 errorAction;
    unsigned int        _reservedTFint1;
}

+ setCellClass:factoryId;

- initWithFrame:(NSRect)frameRect;

- setFrameSize:(NSSize)_newSize;
- setBackgroundColor:(NSColor *)color;
- (NSColor *)backgroundColor;
- setBackgroundTransparent:(BOOL)flag;
- (BOOL)isBackgroundTransparent;
- setTextColor:(NSColor *)color;
- (NSColor *)textColor;
- drawCellInside:aCell;
- setEnabled:(BOOL)flag;
- (BOOL)isBordered;
- setBordered:(BOOL)flag;
- (BOOL)isBezeled;
- setBezeled:(BOOL)flag;
- (BOOL)isEditable;
- setEditable:(BOOL)flag;
- (BOOL)isSelectable;
- setSelectable:(BOOL)flag;
- setPreviousText:anObject;
- previousText;
- setNextText:anObject;
- nextText;
- mouseDown:(NSEvent *)theEvent;
- (SEL)errorAction;
- setErrorAction:(SEL)aSelector;
- selectText:sender;
- textDelegate;
- setTextDelegate:anObject;
- (BOOL)textShouldEndEditing:textObject;
- textDidEndEditing:(NSNotification *)notification;
- (BOOL)textShouldBeginEditing:textObject;
- textDidBeginEditing:(NSNotification *)notification;
- textDidChange:(NSNotification *)notification;
- (BOOL)acceptsFirstResponder;

@end

@interface NSObject(NSTextFieldDelegate)
- (BOOL)textField:(NSTextField *)textField textShouldBeginEditing:(NSText *)fieldEditor;
- (BOOL)textField:(NSTextField *)textField textShouldEndEditing:(NSText *)fieldEditor;
- (void)textFieldTextDidBeginEditing:(NSNotification *)obj;
- (void)textFieldTextDidEndEditing:(NSNotification *)obj;
- (void)textFieldTextDidChange:(NSNotification *)obj;
@end

extern NSString *NSTextFieldTextDidBeginEditingNotification;
extern NSString *NSTextFieldTextDidEndEditingNotification;
extern NSString *NSTextFieldTextDidChangeNotification;
